Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1390251 - gcore: GDB binary (/bin/gdb) not found
Summary: gcore: GDB binary (/bin/gdb) not found
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gdb
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Kratochvil
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-31 14:47 UTC by Matej Habrnal
Modified: 2017-07-31 18:40 UTC (History)
6 users (show)

Fixed In Version: gdb-7.12-29.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-19 21:06:50 UTC
Type: Bug


Attachments (Terms of Use)

Description Matej Habrnal 2016-10-31 14:47:09 UTC
Description of problem:
I have gdb-headless rpm installed on my Fedora 25 and using gcore to generate coredump. gcore ends with "gcore: GDB binary (/bin/gdb) not found" error.

If I understand it correctly gcore script evaluates gdb binary full path from its own path which is /bin/gcore and hence it tries to find gdb binary in /bin/gdb. gdb is no longer placed in /bin/gdb but in /usr/libexec/gdb.

Version-Release number of selected component (if applicable):
gdb-headless-7.12-24.fc25.x86_64

How reproducible:
always

Steps to Reproduce:
1. sleep 1000 &
2. gcore `echo $!`
3.

Actual results:
gcore: GDB binary (/usr/bin/gdb) not found

Expected results:
coredump is saved

Comment 1 Fedora Update System 2016-10-31 20:52:26 UTC
gdb-7.12-29.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b2a770e83a

Comment 2 Fedora Update System 2016-11-01 02:22:21 UTC
gdb-7.12-29.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b2a770e83a

Comment 3 Fedora Update System 2016-11-03 18:29:41 UTC
gdb-7.12-29.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2016-11-19 21:06:50 UTC
gdb-7.12-29.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.